twitter androidgalaxys.net feed rss androidgalaxys.net youtube androidgalaxys.net email androidgalaxys.net

Mar 092015
 

Proseguono i lavori di adattamento dell’Xposed Framework alla versione Android Lollipop.

Lo sviluppatore rovo89 nelle ultime ore ha rilasciato una nuova alpha che va a correggere alcuni problemi che affliggevano la prima release:

  • java.io.IOException: Invalid argument while reading/data/data/de.robv.android.xposed.installer/conf/modules.list (sometimes it worked fine after a soft reboot), 
  • ClassNotFoundException for system services (e.g. ActivityManagerService) shown in the log
  • Resources-related incompatiblity on newer CM12-based ROMs
  • Hooks for very simple methods not working, 
  • app_process version not displayed in XposedInstaller

xposed-framework-lollipop

Purtroppo però anche la nuova versione del framework non risulta ancora compatibile con i dispositivi Galaxy (in particolare quelli con i firmware originali della Samsung o rom basate su questi), provocando a chi tenta di installarlo dei bootloop.

Il motivo riguarda una serie di profonde ottimizzazioni apportate dalla Samsung alla versione Lollipop di Google (qui li approfondimenti), che richiedono allo sviluppatore molto più tempo per poter adeguare il suo programma.

Ancora nessun cambiamento inoltre per la procedura di installazione, che rimane sempre quella basata su recovery modificata e sulla sostituzione dei file originali ART di Google (vedi approfondimento in Xposed ora anche per Android Lollipop. Ma attenzione, non è più quello di prima).

LINK | changelog alpha 2

LINK | download alpha 2